clearvars

poolobj = parpool('local', 8)

fixedButton = 0;

fixed_value = 5;
fixed_prob = 0.5;

value = [5 9.5 18 34 65];
ambig = [.24 .50 .74];
prob = [.38 .25 .13];
jitter = 0;

otherButton = 1;
noResponse = 2;

model = 'riskOnly';
search = 'grid';

if strcmp(search, 'grid')
    % grid search
    % range of each parameter
    if strcmp(model,'riskOnly')
        slopeRange = -4:0.2:1;
        aRange = 0:0.2:4;
    end
    % three dimenstions
    [b1, b2] = ndgrid(slopeRange, aRange);
    % all posibile combinatinos of three parameters
    b0 = [b1(:) b2(:)];
end

% change for every condition
thisdir = pwd;
path = [ thisdir '\'];

% eval(['cd ' path]);

subjects1 = dir([path '*.txt']);
subjects = cell(1,length(subjects1));
for i = 1:length(subjects)
    subjects{i} = subjects1(i).name;
end

% riskyChoices_all = zeros(length(prob),length(value));
% ambigChoices_all = zeros(length(ambig),length(value));

parFile = [path 'feedback_EF_All_parCon_Risk.xls'];
fid = fopen(parFile, 'w');
fprintf(fid, '%s\t%s\t%s\t%s\t%s\t%s\t%s\t%s\t%s\t%s\t%s\t%s\t%s\t%s\t%s\n', 'id', 'gamma_pre', 'gamma_post', 'alpha_pre', 'alpha_post', 'LL_pre', 'LL_post', 'LL0_pre', 'LL0_post', 'r2_pre', 'r2_post', 'AIC_pre', 'AIC_post', 'BIC_pre', 'BIC_post');
fclose(fid);

parfor s = 1:length(subjects)
    slope = zeros(1,2);
    a = zeros(1,2); % alpha before and after
    % model fitting evaluation
    r2 = zeros(1,2);
    AIC = zeros(1,2);
    BIC = zeros(1,2);
    LL = zeros(1,2);
    LL0 = zeros(1,2);
    
    subject = subjects{s}
    filename = [path subject]

    trials2Use = 1:360;
    trialGroups = [1 180 181 360]; %  before and after intervention
    [vA_all,pA_all,AL_all,choice_lottery_temp] = getChoicesEprimeLogBehavior_ambigChange_EF(filename,trials2Use);

    % correct the ambiguity level
    AL_all(AL_all == 0.25) = 0.24;
    AL_all(AL_all == 0.75) = 0.74;

    choice_lottery_all = zeros(size(choice_lottery_temp));
    choice_lottery_all(find(choice_lottery_temp==noResponse)) = 2; 
    choice_lottery_all(find(choice_lottery_temp==fixedButton)) = 0;
    choice_lottery_all(find(choice_lottery_temp==otherButton)) = 1;

%     ambigChoices = zeros(2*length(ambig),length(value));
%     riskyChoices = zeros(2*length(prob),length(value));
%     
%     figure
    for m = 1:2
        % 1: before intervention; 2: after intervention
        vA = vA_all(trialGroups(2*m-1):trialGroups(2*m));
        pA = pA_all(trialGroups(2*m-1):trialGroups(2*m));
        AL = AL_all(trialGroups(2*m-1):trialGroups(2*m));
        choice_lottery = choice_lottery_all(trialGroups(2*m-1):trialGroups(2*m));

        % actual choice probability

%         for i = 1:length(ambig)
%             for j = 1:length(value)
%                 ambigChoices((m-1)*length(ambig)+i,j) = sum(choice_lottery(find(AL==ambig(i) & vA==value(j) & choice_lottery~=2))) / length(choice_lottery(find(AL==ambig(i) & vA==value(j) & choice_lottery~=2)));
%             end
%         end
% 
% 
%         for i = 1:length(prob)
%             for j = 1:length(value)
%                 riskyChoices((m-1)*length(ambig)+i,j) = sum(choice_lottery(find(pA==prob(i) & vA==value(j) & choice_lottery~=2))) / length(choice_lottery(find(pA==prob(i) & vA==value(j)& choice_lottery~=2)));
%             end
%         end

       % actual choices
        choice_orig = choice_lottery;

        % get rid of no choice trials
        choice = choice_orig(find(choice_orig~=2));
        vA = vA(find(choice_orig~=2));
        AL = AL(find(choice_orig~=2));
        pA = pA(find(choice_orig~=2));
        
%         % do not use $5 trials for fitting
%         choice = choice(find(vA~=5));
%         AL = AL(find(vA~=5));
%         pA = pA(find(vA~=5));
%         vA = vA(find(vA~=5));

        % include $5 trials for fitting
        
        % risky trials only
        choice = choice(find(AL==0));
        pA = pA(find(AL==0));
        vA = vA(find(AL==0));
        AL = AL(find(AL==0));

        % fixed option
        vF = fixed_value * ones(length(choice),1);
        pF = fixed_prob * ones(length(choice),1);

        [info,p] = fit_ambigNrisk_model_Constrained_riskOnly(choice,vF,vA,pF,pA,AL,model,b0,0);

        slope(m) = info.b(1);
        a(m) = info.b(2);
        r2(m) = info.r2;
        AIC(m) = info.AIC;
        BIC(m) = info.BIC;
        LL(m) = info.LL;
        LL0(m) = info.LL0;
   
        x = 0:0.1:max(value);
        uF = fixed_prob * (fixed_value).^a(m);

%         colors =   [255 0 0;
%                 180 0 0;
%                 80 0 0;
%                 52 181 233;
%                 7 137 247;
%                 3 85 155;
%                 ]/255;
% 
%         subplot(1,2,m)
%         for i = 1:length(prob)
%             plot(value,riskyChoices((m-1)*length(prob)+i,:),'o','MarkerSize',8,'MarkerEdgeColor',colors([1 1 1])...
%                 ,'MarkerFaceColor',colors(i,:),'Color',colors(i,:));
%               hold on
%             % logistic function
%             uA = prob(i) * x.^a(m);
%             p = 1 ./ (1 + exp(slope(m)*(uA-uF)));
% 
%             plot(x,p,'-','LineWidth',2,'Color',colors(i,:));
% 
%         end
%         title([char(subject) '  alpha gain = ' num2str(a(m))]);

    end
                        
%         all_data_subject = [value; riskyChoices; ambigChoices];
        
        yesparam = [slope(1) slope(2) a(1) a(2) LL(1) LL(2) LL0(1) LL0(2) r2(1) r2(2) AIC(1) AIC(2) BIC(1) BIC(2)];
        
        
        
        dlmwrite(parFile, str2num(subject(1:length(subject)-4)), '-append', 'roffset', 1, 'delimiter', ' ');  
        dlmwrite(parFile, yesparam, 'coffset', 1, '-append', 'delimiter', '\t');
        

delete(poolobj);


    