function [vA,pA,AL,choice_lottery] = getChoicesEprimeLogBehavior_ambigChange_EF(filename,trials2Use)

% [vA,pA,AL,choice_lottery,ambigChoices,riskyChoices] =
% getChoicesEprimeLog(filename)
%
% INPUT
% filename      - text file, including path, excluding extension
% trials2Use    - vector of trial numbers
%
% OUTPUT
% vA    - values of varying options
% pA    - probabilities of varying options
% AL    - ambiguity level
% choice_lottery    - 1's and 0's
% ambigChoices      - percentage of ambiguous choices
% riskyChoices      - percentage of risky choices

fid=fopen(filename,'r');
fgets(fid)

% read data - change if data file is changed
data = textscan(fid,'%d%d%d%f%d%d%f%s');

% read data into vectors for model fit
vA = data{4}(trials2Use) + data{7}(trials2Use);
pA = zeros(size(vA));
AL = zeros(size(vA));
choice_lottery = data{5};

for i = 1:length(trials2Use)
    riskAmbig = char(data{8}(i));
    if strcmp(riskAmbig(1:4),'risk')
        pA(i) = str2num(riskAmbig(length(riskAmbig)-1:length(riskAmbig)))/100;
        AL(i) = 0;
    else
        pA(i) = 0.5;
        AL(i) = str2num(riskAmbig(length(riskAmbig)-1:length(riskAmbig)))/100;
    end
        
            
end     
fclose(fid)




    