clearvars


fixedButton = 0;

fixed_value = 5;
fixed_prob = 0.5;

value = [5 9.5 18 34 65];
ambig = [.24 .50 .74];
prob = [.38 .25 .13];
jitter = 0;

otherButton = 1;
noResponse = 2;

% change for every condition
thisdir = pwd;
path = [ thisdir '/'];


subjects1 = dir([path '*.txt']);
subjects = cell(1,length(subjects1));
for i = 1:length(subjects)
    subjects{i} = subjects1(i).name;
end


parFile = [path 'feedback_EF_All_trial_chocie_12022019.xls'];
fid = fopen(parFile, 'w');
fprintf(fid, '%s\t%s\t%s\t%s\t%s\t%s\t%s\t%s\t%s\t%s\t%s\t%s\t%s\t%s\t%s\n', 'id', 'is_post', 'val', 'prob', 'ambig', 'choice','rt', 'val_fixed', 'prob_fixed');
fclose(fid);

for s = 1:length(subjects)
    subject = subjects{s}
    filename = [path subject]

    trials2Use = 1:360;
    trialGroups = [1 180 181 360]; %  before and after intervention
    [vA_all,pA_all,AL_all,rt_all,choice_lottery_temp] = getChoicesEprimeLogBehavior_ambigChange_olddata(filename,trials2Use);

    % correct the ambiguity level
    AL_all(AL_all == 0.25) = 0.24;
    AL_all(AL_all == 0.75) = 0.74;

    choice_lottery_all = zeros(size(choice_lottery_temp));
    choice_lottery_all(find(choice_lottery_temp==noResponse)) = 2; 
    choice_lottery_all(find(choice_lottery_temp==fixedButton)) = 0;
    choice_lottery_all(find(choice_lottery_temp==otherButton)) = 1;

    for m = 1:2
        % 1: before intervention; 2: after intervention
        vA = vA_all(trialGroups(2*m-1):trialGroups(2*m));
        pA = pA_all(trialGroups(2*m-1):trialGroups(2*m));
        AL = AL_all(trialGroups(2*m-1):trialGroups(2*m));
        rt = rt_all(trialGroups(2*m-1):trialGroups(2*m));
        choice_lottery = choice_lottery_all(trialGroups(2*m-1):trialGroups(2*m));

       % actual choices
        choice_orig = choice_lottery;

%         % get rid of no choice trials
%         choice = choice_orig(find(choice_orig~=2));
%         vA = vA(find(choice_orig~=2));
%         AL = AL(find(choice_orig~=2));
%         pA = pA(find(choice_orig~=2));
%         rt = rt(find(choice_orig~=2));
        
        % include no choice trials
        choice = choice_orig;


        % fixed option
        vF = fixed_value * ones(length(choice),1);
        pF = fixed_prob * ones(length(choice),1);
        
        vF = fixed_value * ones(length(choice),1);
        pF = fixed_prob * ones(length(choice),1);
        
        id = str2num(subject(1:4)) * ones(length(choice),1);
        is_post = (m-1) * ones(length(choice),1);
        
        cols = [id, is_post,vA, pA, AL, choice, double(rt), vF, pF];
               
        dlmwrite(parFile, cols, 'coffset', 0, '-append', 'delimiter', '\t');
        
    end
end