% calculate choice probability for ambiguity neutral
% take fitted risk parameter

clearvars

thisdir = pwd;
path = [ thisdir '\'];

% read risk parameters fitted previously by risky trials only
% before running, should have a sheet table of fitted risk parameter
parameters = readtable('D:\Data\feedback_All_Par_RiskOnly.csv');


model = 'riskOnly'; 
fixed_value = 5;
fixed_prob = 0.5;
fixed_ambig = 0;
varied_prob = 0.5;
varied_value = [5 9.5 18 34 65];

base = 0;
vF = repmat(fixed_value, length(varied_value),1);
vA = varied_value';
pF = repmat(fixed_prob, length(varied_value), 1);
AL = repmat(fixed_ambig, length(varied_value), 1);
pA = repmat(varied_prob, length(varied_value), 1);
        
subjects = unique(parameters.id);

for i = 1:length(subjects)
    subjectId = subjects(i);
    choiceProb = zeros(2,length(varied_value));
    
    for m = 1:2
        fitted = [parameters.gamma(parameters.id == subjectId & parameters.is_post == m-1),...
            parameters.alpha(parameters.id == subjectId & parameters.is_post == m-1)];

        p = choice_prob_ambigNrisk(base,vF,vA,pF,pA,AL,fitted,model);
        
        choiceProb(m,:) = p';
    end
    
    printout = [repmat(subjectId,2,1),[0;1],choiceProb];
    
    File = [path 'feedback_modeled_choiceProb.xls'];
    dlmwrite(File, printout, '-append', 'roffset', 0, 'delimiter', '\t');  

end
