function [vA,pA,AL,rt,choice_lottery] = getChoicesEprimeLogBehavior_ambigChange(filename)

% [vA,pA,AL,choice_lottery,ambigChoices,riskyChoices] =
% getChoicesEprimeLog(filename)
%
% INPUT
% filename      - text file, including path, excluding extension
% Change by Ruonan: remove trials2Use as input, include it in the function itself   - vector of trial numbers
%
% OUTPUT
% vA    - values of varying options
% pA    - probabilities of varying options
% AL    - ambiguity level
% rt    - reaction time
% choice_lottery    - 1's and 0's
% ambigChoices      - percentage of ambiguous choices
% riskyChoices      - percentage of risky choices

% IMPORTANT notice: 
% Pre-cleaning of the eprime logg is needed. 
% The Sequence of column must be the same.
% Add 2 to RESP where no response is recorded. 

fid=fopen(filename,'r');
% fid=fopen('24.txt','r')
fgets(fid)

% read data - change if data file is changed
data = textscan(fid,'%d%d%d%s%d%d%s%s%s%d');
trials2Use = [1:180,182:361];

%% Clean the data
lottside = data{7}(trials2Use);
lottside(strcmp(lottside(:),'Right') == 1) = {'1'};
lottside(strcmp(lottside(:),'Left') == 1) = {'0'};
lottside = str2num(cell2mat(lottside));

rt = data{6}(trials2Use);

RedValue = data{8}(trials2Use);
RedValue = char(RedValue);
RedValue = str2num(RedValue(:,2:length(RedValue(1,:)-1)));
BlueValue = data{4}(trials2Use);
BlueValue = char(BlueValue);
BlueValue = str2num(BlueValue(:,2:length(BlueValue(1,:)-1)));

% make sure the matrices are of the same size for both row and column
choice = zeros(size(RedValue));

resp = data{5}(trials2Use);
% TODO: check whether no response will be NaN
for i = 1:length(resp)
    if resp(i) ~= lottside(i) & resp(i)~= 2
        choice(i) = 1;
    elseif resp(i)== 2
        choice(i) = 2;
    else
        choice(i) = 0;
    end
end


%% read data into vectors for model fit

vA = RedValue+BlueValue;
pA = zeros(size(vA));
AL = zeros(size(vA));
choice_lottery = choice;

riskambigdata = data{9}(trials2Use);
for i = 1:length(pA)
    riskAmbig = char(riskambigdata(i));
    if strcmp(riskAmbig(1:4),'risk')
        pA(i) = str2num(riskAmbig(length(riskAmbig)-1:length(riskAmbig)))/100;
        AL(i) = 0;
    else
        pA(i) = 0.5;
        AL(i) = str2num(riskAmbig(length(riskAmbig)-1:length(riskAmbig)))/100;
    end
        
            
end   
fclose(fid)




    